## org.plovr.docgen
Class ClassDescriptor

    java.lang.Object
      org.plovr.docgen.ClassDescriptor

All Implemented Interfaces:
  Descriptor

    public class ClassDescriptor

extends Object
implements Descriptor

Nested Class Summary
`static class` `ClassDescriptor.Builder`

Method Summary
`static ClassDescriptor.Builder` `builder()`
`String` `getDescription()`
`List<MethodDescriptor>` `getInstanceMethods()`
`String` `getName()`
`List<MethodDescriptor>` `getStaticMethods()`
`TypeExpression` `getSuperClass()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### builder

    public static ClassDescriptor.Builder builder()

### getName

    public String getName()

  Specified by:
    `getName` in interface `Descriptor`

### getSuperClass

    public TypeExpression getSuperClass()

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### getInstanceMethods

    public List<MethodDescriptor> getInstanceMethods()

### getStaticMethods

    public List<MethodDescriptor> getStaticMethods()

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`